Sources
Get latest sources
Return sources from the most recent run of a brand.
GET
/
v1
/
brands
/
{brandId}
/
last
/
sources
Get latest sources
curl --request GET \
--url https://api.example.com/v1/brands/{brandId}/last/sourcesimport requests
url = "https://api.example.com/v1/brands/{brandId}/last/sources"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/brands/{brandId}/last/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Shortcut to the most recent run’s sources without needing to first look up the
runId. Identical response shape to Get run sources.
Path parameters
Brand UUID. Obtain from List brands.
Request
curl -s \
-H "x-spotlight-api-key: YOUR_API_KEY" \
"https://app.get-spotlight.com/api/v1/brands/BRAND_ID/last/sources"
Response
Same shape as Get run sources.Returns
404 if the brand has no analysis runs yet.⌘I
Get latest sources

